coupang
PUT/v2/providers/openapi/apis/api/v5/vendors/{vendorId}/outboundShippingCenters/{outboundShippingPlaceCode}2609170000

Update a shipping location

# 01

Summary

Update a shipping location

# 02

Details

Available buyer market: Korea, Taiwan

You can update a shipping location.

You need outboundShippingPlaceCode and remoteInfoId to update a shipping location

You can acquire outboundShippingPlaceCode and remoteInfoId using 'Query a shipping location' API.

※ After the domestic or overseas classification set at the time of registration of the shipping address is determined, it is not possible to change from domestic to overseas or from overseas to domestic. If you want to change the division between domestic and overseas, please register a new shipping address.

Path

PUT/v2/providers/openapi/apis/api/v5/vendors/{vendorId}/outboundShippingCenters/{outboundShippingPlaceCode}

Example endpoint

https://api-gateway.coupang.com/v2/providers/openapi/apis/api/v5/vendors/A00012345/outboundShippingCenters/123456

URL API Name

UPDATE_OUTBOUND_SHIPPING_PLACECODE
# 03

Path parameters

NameTypeDescription
vendorId*string
Seller ID
Unique code issued to seller by Coupang
Ex) A00012345
outboundShippingPlaceCode*number
Shipping location code you want to update
# 04

Request body

Request parameters

Body parameter

NameTypeDescription
vendorId*string
Seller ID
Unique code issued to seller by Coupang
Ex) A00012345
userId*string
User ID (Coupang WING ID)
outboundShippingPlaceCodeinteger
Shipping location code
If the value is "null", name of shipping location doesn't change.
shippingPlaceNamestring
Shipping location name
usableboolean
Whether it is usable
globalboolean
Domestic or overseas
CODE Mean
false domestic
true overseas
placeAddresses*object[]
Address of shipping location출고지 주소
addressType
placeAddresses[].addressType
string
Address type
CODE Mean
JIBUN Land lot-based
ROADNAME Road name-based
OVERSEA Overseas
countryCode
placeAddresses[].countryCode
string
Country code, input "KR" for domestic address, Valid length: 2
companyContactNumber
placeAddresses[].companyContactNumber
string
Phone number, e.g. : xx-yyy-zzzz,
Type Min~Max
x 2~4 digits
y 3~4 digits
z 4 digits
phoneNumber2
placeAddresses[].phoneNumber2
string
Alternate phone number
(Format: Same as the phone number)
returnZipCode
placeAddresses[].returnZipCode
string
Zipcode: number, 5~6 digits
returnAddress
placeAddresses[].returnAddress
string
Address, up to 150 characters
returnAddressDetail
placeAddresses[].returnAddressDetail
string
Detailed address, up to 200 characters
remoteInfosobject[]
Additional shipping fee for remote areas
remoteInfoId
remoteInfos[].remoteInfoId
integer
You don't have to fill in this field to create new shipping information. You must fill in this field to update/delete the shipping information.
You can get the value of this field through query API.
deliveryCode
remoteInfos[].deliveryCode
string
Courier code
Go to Courier Code
You can register multiple couriers, but duplicate registration is impossible.
jeju
remoteInfos[].jeju
integer
Shipping fee for Jeju Island (won)
You can enter KRW 0 or between KRW 1,000 - 8,000 (down to the unit of KRW 100); Excluding payment on delivery.
Exception EPOST courier: You can enter KRW 0 or between KRW 100 - 400 (down to the unit of KRW 100); Excluding payment on delivery.
notJeju
remoteInfos[].notJeju
integer
Shipping fee for areas other than Jeju Island (won)
Same as Jeju Island
usable
remoteInfos[].usable
boolean
Whether it is usable
You don't need to fill in this field to create new shipping information. Set it as "true" to update and as "false" to delete.
Request exampleapplication/json
{
  "vendorId": "A00012345",
  "userId": "Test11",
  "outboundShippingPlaceCode": 123456,
  "shippingPlaceName": "테스트 출고지 코드",
  "placeAddresses": [
    {
      "addressType": "ROADNAME",
      "countryCode": "KR",
      "companyContactNumber": "02-1111-1111",
      "phoneNumber2": "",
      "returnZipCode": "05510",
      "returnAddress": "서울특별시 송파구 송파대로 570 (신천동)",
      "returnAddressDetail": "테스트 주소 101동 101호"
    },
    {
      "addressType": "JIBUN",
      "countryCode": "KR",
      "companyContactNumber": "02-1111-1111",
      "phoneNumber2": "",
      "returnZipCode": "05510",
      "returnAddress": "서울특별시 송파구 신천동 7-30",
      "returnAddressDetail": "테스트 주소 101동 101호"
    }
  ],
  "remoteInfos": [
    {
      "remoteInfoId": 176476,
      "deliveryCode": "DONGBU",
      "jeju": 0,
      "notJeju": 0,
      "usable": true
    }
  ],
  "usable": true
}
# 05

Response body

Response message

NameTypeDescription
codestring
server response status code
messagestring
detail info
dataobject
resultCode
data.resultCode
string
code
resultMessage
data.resultMessage
string
message

Response Example

{
  "code": "200",
  "message": "SUCCESS",
  "data": {
    "resultCode": "SUCCESS",
    "resultMessage": "Modify successfully"
  }
}
# 06

Error codes

HTTPCodeMessage
400HTTP_400Bad Request

Error specification

HTTPTypeError messageSolution
400400 (Request parameter check)

You can enter KRW 0 or between KRW 100 - 400

In the case of EPOST courier, make sure that you enter KRW 0 or between KRW 100 - 400

400400 (Request parameter check)

Post code can't be empty

Check if returnZipCode value was entered.

400400 (Duplicate entry)

[Duplicate shipping location] The same address has been registered (Duplicate location code: 2026xxxx)

Check if the same returnAddress value was entered.

400400 (Duplicate entry)

[Duplicate shipping location] Duplicated request. name:xxxxx

Check if the same returnAddress value was entered.

400400 (Request parameter check)

Shipping fee should be 0, or a number from 1,000 to 20,000 won.

Check if the right range of value was entered for jeju, notJeju value. Enter 0 or a number from 1,000 to 20,000 won as the shipping fee for remote areas.

400400 (Request parameter check)

The format of postal code is invalid, it can only be number

Check if characters not numbers were entered for returnZipCode value.

400400 (Request parameter check)

params are not allowed null...

Check if null value was entered.

400400 (Request parameter check)

params's vendorId not equals gateway's vendorId!

Check if wrong vendorID was entered.

400400 (Request parameter check)

The max length of the shipping place name is 50, please input the correct length name

Check if more than 50 characters were entered for shippingPlaceName value.

400400 (Request parameter check)

The address detail info can't be null(placeAddress)

Check if returnAddress value was entered.

400400 (Request parameter check)

Must input the default phone number(phoneNumber1)

Check if phoneNumber1 value was entered.

400400 (Request parameter check)

Must input the default address(address1)

Check if returnAddress value was entered.

400400 (Request parameter check)

The length of country code is 2, please input correct length country code

Check if the right countryCode value was entered.

400400 (Request parameter check)

Please input the correct phone number format including numbers and '-' (min 9, max 13)

Check if companyContactNumber or phoneNumber2 value was entered in the right format. It should be 9 ~ 13 digits including '-'.

400400 (Request parameter check)

The format of postal code is invalid, it can only be number, min length is 5 and max length is 6

Check if the right returnZipCode value was entered. It should be only numbers and 5~6 digits.